import java.io.UnsupportedEncodingException;
import java.net.URLEncoder;


public class Esempio8 {

	public static void main(String[] args) {
		try {
			System.out.println(URLEncoder.encode("This string has spaces", "UTF-8"));
			System.out.println(URLEncoder.encode("This*string*has*asterisks", "UTF-8"));
			System.out.println(URLEncoder.encode("This%string%has%percent%signs",
					"UTF-8"));
			System.out.println(URLEncoder.encode("This+string+has+pluses", "UTF-8"));
			System.out.println(URLEncoder.encode("This/string/has/slashes", "UTF-8"));
			System.out.println(URLEncoder.encode("This\"string\"has\"quote\"marks",
					"UTF-8"));
			System.out.println(URLEncoder.encode("This:string:has:colons", "UTF-8"));
			System.out.println(URLEncoder.encode("This~string~has~tildes", "UTF-8"));
			System.out.println(URLEncoder.encode("This(string)has(parentheses)",
					"UTF-8"));
			System.out.println(URLEncoder.encode("This.string.has.periods",
					"UTF-8"));
			System.out.println(URLEncoder.encode("This=string=has=equals=signs",
					"UTF-8"));
			System.out.println(URLEncoder.encode("This&string&has&ampersands", "UTF-8"));
			System.out.println(URLEncoder.encode("Thisstringhasnon-ASCII characters",
					"UTF-8"));
			String query = URLEncoder.encode(
					"pg=q&kl=XX&stype=stext&q=+\"Java+I/O\"&search.x=38&search.y=3");
			System.out.println(query);
			query = URLEncoder.encode("pg");
			query += "=";
			query += URLEncoder.encode("q");
			query += "&";
			query += URLEncoder.encode("kl");
			query += "=";
			query += URLEncoder.encode("XX");
			query += "&";
			query += URLEncoder.encode("stype");
			query += "=";
			query += URLEncoder.encode("stext");
			query += "&";
			query += URLEncoder.encode("q");
			query += "=";
			query += URLEncoder.encode("\"Java I/O\"");
			query += "&";
			query += URLEncoder.encode("search.x");
			query += "=";
			query += URLEncoder.encode("38");
			query += "&";
			query += URLEncoder.encode("search.y");
			query += "=";
			query += URLEncoder.encode("3");
			System.out.println(query);
		}
		catch (UnsupportedEncodingException ex) {
			throw new RuntimeException("Broken VM does not support UTF-8");
		}

	}
}
