import java.net.MalformedURLException;
import java.net.URL;


public class Esempio6 {

	public static void main(String args[]) {
		for (int i = 0; i < args.length; i++) {
			try {
				URL u = new URL(args[i]);
				System.out.println("URL: " + u);
				System.out.println("Schema: " + u.getProtocol( ));
				System.out.println("User info: " + u.getUserInfo( ));
				String host = u.getHost( );
				if (host != null) {
					int atSign = host.indexOf('@');
					if (atSign != -1) host = host.substring(atSign+1);
					System.out.println("Host: " + host);
				}
				else {
					System.out.println("Host null.");
				}
				System.out.println("Porta: " + u.getPort( ));
				System.out.println("Percorso: " + u.getPath( ));
				System.out.println("Frammento: " + u.getRef( ));
				System.out.println("Query: " + u.getQuery( ));
			}
			catch (MalformedURLException ex) {
				System.err.println(args[i] + " non  un URL valido.");
			}
			System.out.println( );
		}
	} 
}